import Vue from 'vue'
import App from './App.vue'
import router from './router/index.js'
import AsyncComputed from 'vue-async-computed'

import './plugin/vant'
import './filters/'
import '@/assets/styles/reset.css'
import '@/assets/styles/common.css'
import '@//assets/styles/elementVariables.scss';

import '@/assets/styles/rem'
import './global.js'
import store from '@/store/index.js'
import animated from 'animate.css'
import i18n from './i18n';
import 'swiper/swiper-bundle.css'



Vue.config.productionTip = false
Vue.use(animated)
Vue.use(AsyncComputed)
new Vue({
  router,
  i18n,
  store,
  render: h => h(App)
}).$mount('#app')
